手册:安装要求

来自MyaWiki.Org
跳转到导航 跳到搜索

PNG 安装指南 γ关于MiaWiKi
Help浏览器 功能特色 γ安装要求
优选系统 下载 γ安装 γ配置


要求 短期要求

确保也检查版本说明用MeaWiKi装运要求。

图像缩略图特克斯需要额外的程序。拟体(要求)可视化编辑器其他服务也有自己的要求。

除了软件本身,一个标准的MeaWiKi安装有以下要求:

此外,还有各种各样。可选依赖项如果需要使用某些高级特性(见下文),则需要这些。

如果您的网站托管(即您没有直接控制它),然后联系您的服务器管理员或托管公司,以确保这些软件包安装和可用。

简单一下载安装

如果您正在使用Linux,最好使用您的包管理器安装Apache、PHP和MariaDB。打开(放)德比乌邦图做到以下几点:

SUDO APT安装PHP PHP PHP ApCu PHP Itl PHP MB字符串PHP XML MIALADB服务器APACHE2

在其他操作系统上,使用XAMPPHTTPS://www. ApaCeFoels.Org安装和配置所有重要的包——Apache Web服务器、PHP和MariaDB——只有一个下载。它适用于Linux、Windows、MAC和Solaris。截至2016年8月,XAMPP的最新版本包括PHP 7(MediaWiKi需要至少7.0.13)。

或者,如果你有一台苹果电脑,你可以使用。马普这相当于XAMPP.MAMP目前包括运行Apache Web服务器和MySQL数据库的能力。它既可用于Windows和Mac,也可用于Mac而不是Windows。它目前运行PHP和MySQL的最新版本。

网络服务器

为了将Wiki页面提供给浏览器,MyaWiki需要一些Web服务器软件。你经常无法选择使用哪个软件——它将是你的主机提供商提供的软件。

大多数安装使用ApacheWeb服务器,可在官方下载页面. 然而,MiTaWiKi也被测试过。IIS 7切诺基海瓦萨斜纹织物恩吉克斯配置实例光照法球童.

PHP

PHP是编写MIDAWiKi的编程语言,是运行软件所必需的。

请注意,尽管MyaWiKi具有安装脚本,它提供最重要的元素的基于Web的配置,但对于更详细的定制,需要了解PHP的一些知识。

  • 对于MyaWiKi的最新稳定版本,至少PHP版本7.0.13是必需的。查看页面兼容性 更多信息。
  • 需要下列扩展:
  • 请注意,所有这些都是默认情况下在PHP中启用的。
  • MealWiKi的安装程序将警告如果您没有可选的PHP国际扩展“处理Unicode标准化”。
    • 在大多数基于Debian /Ubuntu的DeXROS中,这是PHPITL包。
  • PHP OpenSSL扩展也推荐。手册:美元杀虫剂 .
  • 在大多数Debian /Ubuntu为基础的DeXROS中,如果需要MyaWiKi使用MySQL,则需要PHP MySQL包。
  • MeaWiKi的一些特性可能需要PHP函数来执行外部过程,如图像缩略图,一些廉价主机通常禁用。这已经在MealaWiKi 1.23特别在文件上传中出现了。任务T68 467如果您打算在共享主机上安装MyaWiKi,请考虑这一点。
  • MeaWiKi扩展可能需要额外的PHP特性,例如可视化编辑器要求诽谤罪支持(PHE-CURL基于Debian /Ubuntu的DeXROS)。

如果需要从源编译PHP,那么请参见PHP配置 对于影响MyaWiKi的编译选项。

  • 一些服务器也可能需要安装等效的数据库模块和会话管理模块。有关更多信息,请参阅个别操作系统指令。
  • 当使用微软安装程序在Windows上安装时,将要选择的数据库(MySQL/MIALADB或PASGRESs)的扩展添加到要安装的特征。

数据库服务器

警告 警告: Oracle和微软SQL Server支持未被维护,将在MediaWiKi 1.34中被删除。强烈建议你不要使用它们。

MiTaWiKi存储数据库中的所有文本和数据(内容页、用户详细信息、系统消息等),该数据库能够与其他基于Web的应用程序(PHPBB等)共享。你需要以下数据库服务器运行MyaWiKi的最新版本:

确保安装了全文模块。

过去支持,目前不支持:

  • Oracle (由于打开的阻塞错误,在最新的MyiWiKi版本上不支持)

一些用户发现安装一个额外的软件包是有帮助的,比如数据库管理(MySQL/MiRADB)或苯巴比妥(PASGRESs)以帮助管理数据库服务器。

MySQL 5已经被要求媒体维基1.19. MySQL 4需要从MeIaWiKi 1.6开始。(如果您使用的是MySQL的旧版本,不能升级,那么您需要使用MediaWik1.1.8,但不支持这个版本。)

硬件要求

建议的最低要求是256MB的RAM为一个单一的计算机网站和8MB的存储,虽然这将不足以繁忙的公共网站或网站上传启用。一些用户已经报告在MICAWIKI上运行的计算机只有48 MB的RAM。

安装大小可以减少到大约50MB的开发人员安装,并为26MB左右的非开发人员,终端用户安装。手动:减少安装尺寸 .

可选依赖项

其他软件[编辑]

  • 图像贴图需要图像缩略图 .
  • 特克斯数学公式的内联显示是必需的。在大多数基于Debian /Ubuntu的DestROS中,这是特克斯威尔旅行包
  • 发送邮件为了使系统能够发送电子邮件是必需的。
  • 外壳访问需要运行维护脚本 升级MiTaWiKi可能会更困难。
  • GNU扩散 可以提供自动解决冲突。

有关上述项目的进一步信息,请参见手册:安装第三方工具 .

可视化编辑器[编辑]

这个可视化编辑器扩展(以及流动扩展要求类Web服务,这是使用J.N.. NoDE.JS不是由大多数共享托管公司提供的(HooGeStor,BooLoad,DealHooST等)。对于性能和安全性的原因,最好使用专用的托管解决方案,例如虚拟专用服务器(“VPS”)。

抄写本[编辑]

如果您想调用LUA模块(在Wiki上看到这些从wiki页面和模板,您的维基也将需要抄写本.

也见[编辑]

  • 兼容性 有关MeaWiWi的安装需求在未来可能如何改变的信息
软件包